{
  "groups": [
    {
      "name": "file",
      "type": "com.ai.da.common.config.FileProperties",
      "sourceType": "com.ai.da.common.config.FileProperties"
    },
    {
      "name": "file.linux",
      "type": "com.ai.da.common.config.FileProperties$ElPath",
      "sourceType": "com.ai.da.common.config.FileProperties",
      "sourceMethod": "getLinux()"
    },
    {
      "name": "file.mac",
      "type": "com.ai.da.common.config.FileProperties$ElPath",
      "sourceType": "com.ai.da.common.config.FileProperties",
      "sourceMethod": "getMac()"
    },
    {
      "name": "file.sys",
      "type": "com.ai.da.common.config.FileProperties$ElPath",
      "sourceType": "com.ai.da.common.config.FileProperties",
      "sourceMethod": "getSys()"
    },
    {
      "name": "file.windows",
      "type": "com.ai.da.common.config.FileProperties$ElPath",
      "sourceType": "com.ai.da.common.config.FileProperties",
      "sourceMethod": "getWindows()"
    },
    {
      "name": "spring.security",
      "type": "com.ai.da.common.security.config.SecurityProperties",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties"
    }
  ],
  "properties": [
    {
      "name": "file.linux-domain",
      "type": "java.lang.String",
      "sourceType": "com.ai.da.common.config.FileProperties"
    },
    {
      "name": "spring.security.auth-api",
      "type": "java.lang.String",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties"
    },
    {
      "name": "spring.security.ignore-paths",
      "type": "java.lang.String[]",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties"
    },
    {
      "name": "spring.security.jwt-expiration",
      "type": "java.lang.Long",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties",
      "defaultValue": 0
    },
    {
      "name": "spring.security.jwt-secret",
      "type": "java.lang.String",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties"
    },
    {
      "name": "spring.security.jwt-token-header",
      "type": "java.lang.String",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties"
    },
    {
      "name": "spring.security.jwt-token-prefix",
      "type": "java.lang.String",
      "sourceType": "com.ai.da.common.security.config.SecurityProperties"
    }
  ],
  "hints": []
}